﻿Type=Class
Version=2.2
B4J=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private Url As String
	
	Private sunset As Int
	Private sunrise As Int
	Private humidity As Int
	Private pressure As Int
	Private temp_max As Double
	Private temp_min As Double
	Private temp As Double
	
	Private Module As Object
	Private Event As String
	
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(serviceURL As String, sModule As Object, sEvent As String)
	Url = serviceURL
	Module = sModule
	Event = sEvent
End Sub


Public Sub GetData()
	Dim job As HttpJob
	job.Initialize("OpenWeather", Me)
	Log("Http_Call")
	job.Download(Url)
	job.GetRequest.Timeout = 4000
End Sub

Sub JobDone (job As HttpJob)
	Log("Job Done")
	job.Release
End Sub